Description

Please find attached a new round of bulk approvals/merges/annotations for RAM-FishSource records.

Please note a few cases of reject merges and re-merge with other records.

Thanks to @bracken.vanniekerk@fao.org for her work with detailed comments.

Related issues:

Related to StocksAndFisheriesKB - Bug #19017: Error occured while calculating... In Progress Apr 06, 2020

History

#1 - Dec 23, 2019 11:06 AM - Yannis Marketakis

- Status changed from New to In Progress

#2 - Dec 23, 2019 11:06 AM - Yannis Marketakis

- % Done changed from 0 to 10

All annotations have been added.

#3 - Apr 03, 2020 10:21 AM - Yannis Marketakis

- % Done changed from 10 to 20

Moved on with records with flag approve. The detailed list with the GRSF public URLs will be uploaded after finishing with all actions.

#4 - Apr 06, 2020 07:48 AM - Yannis Marketakis

- % Done changed from 20 to 50

The selected for approval records have been approved .

The records to be merged have been merged (except from one for which the union of their bounding boxes failed). I'll open a new ticket to Emmanuel

to clarify what happened. 

In the meantime, we are working on approving the newly merged records and on splitting functionality.

#5 - Apr 06, 2020 07:57 AM - Yannis Marketakis

- Related to Bug #19017: Error occured while calculating the union of bounding boxes added

#6 - Apr 10, 2020 01:29 PM - Yannis Marketakis

- File GRSF_RAM-FishSource_17Dec2019-FORTH.xlsx added

- Status changed from In Progress to Feedback

- Assignee changed from Yannis Marketakis to Aureliano Gentile

- % Done changed from 50 to 90

All actions mentioned in the XLS file has been carried out.

I've added a new column at the end, with title FORTH - Notes describing the activities carried out. 

You are more than welcome to revise them.

#7 - Apr 15, 2020 04:20 PM - Aureliano Gentile

- File GRSF_RAM-FishSource_17Dec2019-FORTH_BvN15Apr2020.xlsx added
Dear Yannis,

Thanks a lot, with @bracken.vanniekerk@fao.org we have checked the records and they are mostly fine.

Please find attached the reviewed Excel file with a few more approvals which where left in pending (no further merges required), and one short name

returned with wrong characters while it is fine in the source record in GRSF.  

#8 - Apr 16, 2020 09:36 AM - Yannis Marketakis

- File GRSF_RAM-FishSource_17Dec2019-FORTH_BvN15Apr2020-FORTH.xlsx added

Carried out the actions reported in the latest XLS file.

You will find it attached.

#9 - Apr 16, 2020 10:47 AM - Aureliano Gentile

Thanks Yannis, I made a couple of records check and I understand the changes are already in the GRSF VRE (the public release).

@emmanuel.blondel1@gmail.com : Please, would it be possible to refresh the viewer https://i-marine.d4science.org/web/grsf/map-viewer as we have

about 105 new modifications in place?

#10 - Apr 16, 2020 12:48 PM - Aureliano Gentile

- File image_2020_04_16T10_39_09_633Z.png added

@marketak@ics.forth.gr  please would it be possible to check the sparql query, Emmanuel is trying to  update the map viewer but from sparql query

we get 1387 stocks + 120 fisheries while the catalogue https://i-marine.d4science.org/web/grsf/data-catalogue indicates: 

1385 + 44 = 1429 stocks (assessment unit + marine resource)

110 fishing units

Also some fields are disappeared from the competency query e.g. species  (scientific name, common names). An improvement may include the area

field as well.

See also attached screenshot.

With thanks

#11 - Apr 23, 2020 12:41 PM - Yannis Marketakis

The issue has been resolved. The issue was raised also by the fact that some of the records didn't contain any geographical polygon so they weren't

returned through the competency queries.

This is something we've encountered in the past. For these records, you will now see an empty value in the geographical polygon.

@emmanuel.blondel1@gmail.com  if this causes any issues, please let me know.

#12 - Apr 23, 2020 04:56 PM - Patrícia Amorim

- File GRSF_RAM-FishSource_17Dec2019_FSteam_edits.xlsx added

Dear Aureliano,

apologize for the late feedback on the GRSF_RAM_Fishsource associations. I added some comments in column M regarding the approved

associations (attaching the file).

We have a question on the standard used for the short name: GRSF short name is not using ASFIS name? For example, northern shrimp is used

instead of northern prawn (rows 76-85). Snow crab has been also used instead of Queen crab (rows 96 -108).  

Many thanks,

Patricia

#13 - Apr 24, 2020 08:17 AM - Emmanuel Blondel

Thanks @marketak@ics.forth.gr no major issue on my side, i've just slightly adapted my script to exclude records with no geographic polygons.

@aureliano.gentile@fao.org I've updated the viewer, here are the current figures in viewer:

Fisheries: 106 (over 110 returned by Sparql)

Resources: 1368 (over 1432 returned by Sparql)

#14 - Apr 24, 2020 10:21 AM - Aureliano Gentile

Thanks Emmanuel,

Dear @marketak@ics.forth.gr thanks for fixing, but please let me remind you that the species field is no longer returned within the query. Hence the

species search option has disappeared from the map viewer.
Would it be possible to restore it? This is the finding between myself and Emmanuel, or are we missing something?

#15 - Apr 24, 2020 11:07 AM - Yannis Marketakis

@aureliano.gentile@fao.org species were never part of these queries. 

The fields that have been agreed to be used are https://support.d4science.org/projects/stocksandfisherieskb/wiki/19-10-16-GRSF_pilotrelease

#16 - Apr 25, 2020 01:04 PM - Aureliano Gentile

Yes, our apologies for the oversight, the point is that the name field was there  as search option, then it disappeared recently and we thought was due

to the query. Now @emmanuel.blondel1@gmail.com fixed it, actually I understand with some improvements.

#17 - Mar 24, 2021 03:57 PM - Aureliano Gentile

- Status changed from Feedback to Closed

Files

GRSF_RAM-FishSource_17Dec2019.xlsx 28.4 KB Dec 17, 2019 Aureliano Gentile

GRSF_RAM-FishSource_17Dec2019-FORTH.xlsx 34 KB Apr 10, 2020 Yannis Marketakis

GRSF_RAM-FishSource_17Dec2019-FORTH_BvN15Apr2020.xlsx 31.5 KB Apr 15, 2020 Aureliano Gentile

GRSF_RAM-FishSource_17Dec2019-FORTH_BvN15Apr2020-FORTH.xlsx34.6 KB Apr 16, 2020 Yannis Marketakis

image_2020_04_16T10_39_09_633Z.png 65.8 KB Apr 16, 2020 Aureliano Gentile

GRSF_RAM-FishSource_17Dec2019_FSteam_edits.xlsx 30.9 KB Apr 23, 2020 Patrícia Amorim
